# Sitemaps: list

**Requires [authorization](https://developers.google.com/webmaster-tools/v1/sitemaps/list#auth)**

Lists the [sitemaps-entries](https://developers.google.com/webmaster-tools/v1/sitemaps) submitted for this site, or included in the sitemap index file (if `sitemapIndex` is specified in the request).
[Try it now](https://developers.google.com/webmaster-tools/v1/sitemaps/list#try-it).

## Request

### HTTP request

```
GET https://www.googleapis.com/webmasters/v3/sites/siteUrl/sitemaps
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `siteUrl` | `string` | The URL of the property as defined in Search Console. For example: `http://www.example.com/` ([URL-prefix](https://support.google.com/webmasters/answer/34592#url_prefix_prop_tips) property), or `sc-domain:example.com` ([Domain](https://support.google.com/webmasters/answer/34592#domain_property) property). |
| **Optional query parameters** |||
| `sitemapIndex` | `string` | A URL of a site's sitemap index. For example: `http://www.example.com/sitemapindex.xml` |

### Authorization

This request requires authorization with at least one of the following scopes ([read more about authentication and authorization](https://developers.google.com/webmaster-tools/v1/how-tos/authorizing)).

| Scope |
|---|
| `https://www.googleapis.com/auth/webmasters.readonly` |
| `https://www.googleapis.com/auth/webmasters` |

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a response body with the following structure:

```
{
  "sitemap": [
    sitemaps Resource
  ]
}
```

| Property name | Value | Description | Notes |
|---|---|---|---|
| `sitemap[]` | `list` | Contains detailed information about a specific URL submitted as a [sitemap](https://support.google.com/webmasters/answer/156184). |   |

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.